# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/media/arm,mali-c55.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ARM Mali-C55 Image Signal Processor

maintainers:
  - Daniel Scally <dan.scally@ideasonboard.com>
  - Jacopo Mondi <jacopo.mondi@ideasonboard.com>

properties:
  compatible:
    const: arm,mali-c55

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    items:
      - description: ISP Video Clock
      - description: ISP AXI clock
      - description: ISP AHB-lite clock

  clock-names:
    items:
      - const: vclk
      - const: aclk
      - const: hclk

  resets:
    items:
      - description: vclk domain reset
      - description: aclk domain reset
      - description: hclk domain reset

  reset-names:
    items:
      - const: vresetn
      - const: aresetn
      - const: hresetn

  port:
    $ref: /schemas/graph.yaml#/properties/port
    description: Input parallel video bus

    properties:
      endpoint:
        $ref: /schemas/graph.yaml#/properties/endpoint

required:
  - compatible
  - reg
  - interrupts
  - clocks
  - clock-names
  - resets
  - reset-names
  - port

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/arm-gic.h>

    isp@400000 {
      compatible = "arm,mali-c55";
      reg = <0x400000 0x200000>;
      clocks = <&clk 0>, <&clk 1>, <&clk 2>;
      clock-names = "vclk", "aclk", "hclk";
      resets = <&resets 0>, <&resets 1>, <&resets 2>;
      reset-names = "vresetn", "aresetn", "hresetn";
      interrupts = <GIC_SPI 861 IRQ_TYPE_EDGE_RISING>;

      port {
        isp_in: endpoint {
            remote-endpoint = <&csi2_rx_out>;
        };
      };
    };
...
